# encoding:utf-8
# When a http request is sent by ajax, if params contains a json array, eg: {arr: [{a: 1}, {b: 2}]},
# ruby backend will receive a hash like this: Parameters: {"arr"=>{"0"=>{"a"=>"1"},"1"=>{"b"=>"2"}}}.
# Use params[:arr] = params[:arr].to_params_array to make sure params[:arr] is an array.
class Hash
  def to_params_array
    return self if self['0'].nil?
    arr = []
    self.each do |k,v|
      arr[k.to_i] = v.to_params_array
    end
    arr
  end
end

class Array
  def to_params_array
    self
  end
end

class NilClass
  def to_params_array
    self
  end
end
